org.thymeleaf.extras.springsecurity4.dialect.processor

## Class AuthenticationAttrProcessor

- Object
- - org.thymeleaf.processor.AbstractProcessor
  - - org.thymeleaf.processor.attr.AbstractAttrProcessor
    - - org.thymeleaf.processor.attr.AbstractChildrenModifierAttrProcessor
      - - org.thymeleaf.processor.attr.AbstractTextChildModifierAttrProcessor
        - - org.thymeleaf.extras.springsecurity4.dialect.processor.AuthenticationAttrProcessor

- All Implemented Interfaces:
    Comparable<org.thymeleaf.processor.IProcessor>, org.thymeleaf.processor.IProcessor

      public class AuthenticationAttrProcessor
      extends org.thymeleaf.processor.attr.AbstractTextChildModifierAttrProcessor

  Outputs a property of the authentication object, similar to the Spring Security <sec:authentication/> JSP tag.
  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATTR_NAME`
    `static int` | `ATTR_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationAttrProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPrecedence()`
    `protected String` | `getText(org.thymeleaf.Arguments arguments, org.thymeleaf.dom.Element element, String attributeName)`

    - ### Methods inherited from class org.thymeleaf.processor.attr.AbstractTextChildModifierAttrProcessor

      `getModifiedChildren`

    - ### Methods inherited from class org.thymeleaf.processor.attr.AbstractChildrenModifierAttrProcessor

      `getReplaceHostElement, processAttribute`

    - ### Methods inherited from class org.thymeleaf.processor.attr.AbstractAttrProcessor

      `doProcess, getMatcher`

    - ### Methods inherited from class org.thymeleaf.processor.AbstractProcessor

      `compareTo, getMessage, getMessageForProcessor, getMessageForTemplate, process`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATTR_PRECEDENCE

          public static final int ATTR_PRECEDENCE

      See Also:
        Constant Field Values

    - #### ATTR_NAME

          public static final String ATTR_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthenticationAttrProcessor

          public AuthenticationAttrProcessor()

  - ### Method Detail

    - #### getPrecedence

          public int getPrecedence()

      Specified by:
        `getPrecedence` in class `org.thymeleaf.processor.AbstractProcessor`

    - #### getText

          protected String getText(org.thymeleaf.Arguments arguments,
                                   org.thymeleaf.dom.Element element,
                                   String attributeName)

      Specified by:
        `getText` in class `org.thymeleaf.processor.attr.AbstractTextChildModifierAttrProcessor`

Copyright © 2015 The THYMELEAF team. All rights reserved.